The MDB install log includes the message "INFO - MDBTools_0322I - Detected MDB release 1.4" but the actual MDB version is 1.5. Does this indicate that there is a problem with the MDB?

Document ID : KB000020593
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

When upgrading the MDB from Service Desk Manager 12.5 CA SDM to 12.6 CA SDM, an informational message might be written to the MDB install log reporting that MDB release 1.4 was detected; however, the expected MDB version is 1.5. The message appears in specific cases and does not indicate that there is a problem with the MDB.

Solution:

The general cases in which the message, "INFO - MDBTools_0322I - Detected MDB release 1.4", may be written to the MDB install log are:

  1. The MDB is being upgraded from version 1.4 to 1.5, or the existing MDB has been previously upgraded from 1.4 to 1.5.
  2. The MDB is being upgraded in compatibility mode causing MDB 1.4 to be installed and then MDB 1.5 to be installed.

Specifically, if the message appears in the log when upgrading an MDB that had been successfully running with Service Desk Manager 12.5 CA SDM to an MDB that will be running with Service Desk Manager 12.6 CA SDM, the message can be safely ignored.

For an MDB on SQL Server, if you want to confirm your MDB version, you can run the following command from the machine hosting the MDB:

sqlcmd -Q "use mdb;select * from mdb_version;quit"

When the MDB is at version 1.5, the output should be similar to this:


Changed database context to 'mdb'.
mdbmajorversion mdbminorversion buildnumber releasedate installdate
--------------- --------------- ----------- ----------------------- -----------------------
             1               5           1 2007-02-01 09:00:00.000 2010-08-05 08:48:11.850
 
(1 rows affected)

Note 1: Service Desk Manager 12.1, 12.5 CA SDM, 12.6 CA SDM, and 12.7 CA SDM all use MDB 1.5.

Note 2: The MDB may be shared by several CA products so if you had installed a product that uses MDB 1.4 (or MDB 1.0.4) first, and then installed a product that uses MDB 1.5 and retained both products such that they were each configured to use the same MDB, then when the MDB was upgraded for the later product, it would have been upgraded using compatibility mode.